DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/chatbot/{chatbotId}/members

POST /chatbot/{chatbotId}/members

PATCH/chatbot/{chatbotId}/members/{userId}arrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
upload
Request body
userIdrequired
string (uuid)
permissionsrequired
array
double_arrow
Returns 201
memberrequired
object
idrequired
string (uuid)
userIdrequired
string (uuid)
chatbotIdrequired
string (uuid)
permissionsrequired
array
createdAtrequired
string
updatedAtrequired
string
report
Errors
StatusDescription
400Default Response
401Default Response
403Default Response
409Default Response
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/members' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "userId": "00000000-0000-0000-0000-000000000001",
  "permissions": []
}'
south_west
Response
201 OK
application/json
{
  "member": {
    "id": "00000000-0000-0000-0000-000000000001",
    "userId": "00000000-0000-0000-0000-000000000001",
    "chatbotId": "00000000-0000-0000-0000-000000000001",
    "permissions": [
      "permissions"
    ],
    "createdAt": "createdAt",
    "updatedAt": "updatedAt"
  }
}